@import url('https://fonts.googleapis.com/css?family=Roboto');

body {
  background-color: #000000;
  font-family: 'Roboto', sans-serif;  
}
.stuff {
  width: 25vw;
}
.textBox {
  position: relative;
  width: 100%;
  padding-top: 10px;
  height: 45px;
  display: inline-flex;
  margin-bottom: 3vh;
}
.textBox .text {
  font-weight: 500;
  width: calc(100% - 2vw);
  height: 27px;
  padding-left: 0.5vw;
  background-color: transparent;
  color: white;
  position: absolute;
  bottom: 0px;
  outline: none;
  border-style: solid;
  border-color: #E3E7EA;
  border-width: 0px 0px 2px 0px;
  font-size: 20px;
  -webkit-transition: border-color 0.45s linear;
  transition: border-color 0.45s linear;
}

.textBox > input.text:focus {
  border-color: #00ced1;
}

.textBox .label {
  opacity: 0.1;
  pointer-events: none;
  z-index: 1;
  color: #C0C0C0;
  position: absolute;
  padding-left: 0.5vw;
  bottom: 3px;
  font-size: 20px;
  font-weight: 300;
  -webkit-transition-property: opacity bottom font-size;
  transition-property: opacity bottom font-size;
  -webkit-transition-duration: 0.45s;
  transition-duration: 0.45s;
  -webkit-transition-timing-function: cubic-bezier(.68,-0.55,.27,1.55);
  transition-timing-function: cubic-bezier(.68,-0.55,.27,1.55);
}

.textBox .error {
  position: absolute;
  margin-top: 48px;
  width: 100%;
  color: #e74c3c;
  text-align: center;
}

.textBox > input.text:focus ~ .label, .textBox > input.text:not([value=""]) ~ .label {
  opacity: 1;
  z-index: 1;
  bottom: 55%;
  font-size: 12px;
}

.textBox > input.text:focus ~ .label {
  color: #00ced1;
}

.textBox ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  
  font-size: 20px;
  font-weight: 200;
  font-family: 'Roboto', sans-serif;
}
.textBox ::-moz-placeholder { /* Firefox 19+ */
  color: #778899;
  font-size: 20px;
  font-weight: 200;
  font-family: 'Roboto', sans-serif;
}
.textBox :-ms-input-placeholder { /* IE 10+ */
  color: #778899;
  font-size: 20px;
  font-weight: 200;
  font-family: 'Roboto', sans-serif;
}
.textBox :-moz-placeholder { /* Firefox 18- */
  color: #778899;
  font-size: 20px;
  font-weight: 200;
  font-family: 'Roboto', sans-serif;
}